Zum Inhalt wechseln
Valid Strategies

Demnächst: Wegfall von Passwortabfragen und Multi-Client-Kompatibilität


Empfohlene Beiträge

new-neuigkeiten.jpg

Wer schon länger Teil unserer Community ist, der hat selbstverständlich mitbekommen, dass seit September letzten Jahres ein Wechsel in der Administration stattgefunden hat. Seitdem wurde der Downloadbereich wieder aufgebaut und um weitere German Language Packs ergänzt. Außerdem bemühe ich mich kontinuierlich um Verbesserungen, wo immer es mir möglich ist (z.B. freie Downloads für alle).

Auch dieses Jahr stehen spannende Entwicklungen auf Valid Strategies an. Es handelt sich um zwei "Baustellen", deren Bearbeitung schon länger auf meiner Prioritätenliste ganz weit oben stehen. Inzwischen konnten diese sehr konkret vorbereitet werden, sodass ihr die damit einhergehenden Veränderungen schon bald bei uns vorfinden werdet:

Wegfall der Passwortabfragen

Aktuell müsst ihr bei der Benutzung der German Language Packs ein Passwort eingeben. Hierbei handelt es sich noch um ein Relikt aus früheren Zeiten, in denen alle Inhalte auf Valid Strategies geschützt waren. Zum einen verursachen diese Abfragen aber immer mal wieder Probleme bei einzelnen Usern (vor allem auf älteren Betriebssystemen). Zum anderen wird nach meiner Vorstellung ein solcher Schutz für unsere Inhalte generell nicht benötigt, da sämtliche Sprachpakete auf allen Systemen und dauerhaft frei benutzbar sein sollen.

In allen neuen Versionen unserer German Language Packs wird es keine Passwortabfrage mehr geben (und auch keine alternativen Schutzmechanismen). Gleichzeitig wird der Installer, der euch durch die Installationen der Sprachpakete führt, weiter verschlankt. Dieser wird euch weiterhin alle andernfalls manuell durchzuführenden Arbeiten abnehmen (z.B. Anpassungen von Spieledateien, Auslesen von Registry-Einträgen etc.) -- aber eben auch nur das. Alle überflüssigen Abfragen werden von mir entfernt.

Alle German Language Packs, die im Downloadbereich mit Version 1.8 (oder höher) bezeichnet sind, werden den neuen Installer ohne Passwortabfrage enthalten.

Multi-Client-Kompatibilität

Unsere German Language Packs funktionieren zurzeit immer nur mit einer Spieleversion, d.h. beispielsweise entweder mit der Steam- oder mit der GOG-Version eines Spiels. In vielen Fällen könnte ein Sprachpakete aber auch mit unterschiedlichen Spieleversionen funktionieren, da sich diese nicht wesentlich unterscheiden.

Künftige German Language Packs werden nun dahingehend entwickelt, dass diese grundsätzlich immer mit allen Spieleversionen kompatibel sind, also auf GOG-, Origin-, Steam- und UPlay-Versionen angewendet werden können. Einen Sonderfall stellen aktuell noch Spiele dar, die mittels Epic Games Launcher installiert worden sind. Aber auch hier versuche ich eine Lösung zu finden, dass diese Titel demnächst ebenfalls unterstützt werden. Nur in Ausnahmefällen, in denen sich die Spieleversionen tatsächlich unterscheiden, müssen weiterhin verschiedene Installer bereitgestellt werden.

In diesem Zusammenhang werde ich allerdings auf zusätzliches Feedback durch die Community angewiesen sein. Ich kann die German Language Packs dann im Vorfeld nicht mehr vollumfänglich testen, da ich ein Spiel üblicherweise nicht als GOG- und Origin- und Steam- und UPlay-Fassung besitze. Ich denke allerdings, dass hier der Vorteil der Multi-Client-Kompatibilität den im Einzelfall möglicherweise bestehenden Nachteil, dass ein GLP mit einer Spieleversion doch nicht kompatibel ist, überwiegt.

* * *

Die angekündigten Änderungen werden so zeitnah, wie es mir möglich ist, umgesetzt. Ich hoffe, dass diese Änderungen nicht nur in meinem Sinne sind, sondern auch bei euch auf Zustimmung treffen.

  • Gefällt mir 5
  • Danke 2
Link zum Beitrag
Auf anderen Websites teilen
  • Antworten 14
  • Erstellt
  • Letzte Antwort

Top-Beitragsersteller in diesem Thema

Top-Beitragsersteller in diesem Thema

Beliebte Beiträge

Wer schon länger Teil unserer Community ist, der hat selbstverständlich mitbekommen, dass seit September letzten Jahres ein Wechsel in der Administration stattgefunden hat. Seitdem wurde der Downloadb

Da ich hin und wieder entsprechende Nachfragen erhalte, hier eine kurze Info zum aktuellen Stand: Erste Versionen des neuen Installers werden bereits getestet. Voraussichtlich ab Februar wird dieser

Da habe ich eine Einstellung übersehen. Sollte jetzt gehen.

Hinzugefügte Bilder

Hossa,

ja das sind gute Neuigkeiten. Besonders die Passwortabfrage hat bestimmt für 85 % der Fehlermeldungen hier im Forum gesorgt. Ja die Multi-Client Möglichkeit wird dann den Rest der Fehlerabfragen tilgen. 🙂 

Link zum Beitrag
Auf anderen Websites teilen

super! dann kann man die sprachpatches noch besser archivieren. funktionieren die eigentlich auch unter windows xp? ich habe hier noch einen retro-rechner, und es wäre echt genial, wenn ich darauf die alten games patches könnte.

Link zum Beitrag
Auf anderen Websites teilen

Da ich hin und wieder entsprechende Nachfragen erhalte, hier eine kurze Info zum aktuellen Stand:
Erste Versionen des neuen Installers werden bereits getestet. Voraussichtlich ab Februar wird dieser dann in den German Language Packs zum Einsatz kommen.

Link zum Beitrag
Auf anderen Websites teilen
Tobi hat vor 22 Stunden geschrieben:

Da ich hin und wieder entsprechende Nachfragen erhalte, hier eine kurze Info zum aktuellen Stand:
Erste Versionen des neuen Installers werden bereits getestet. Voraussichtlich ab Februar wird dieser dann in den German Language Packs zum Einsatz kommen.

wie funktioniert das mit den tests und kann man vielleicht irgendwie helfen? also wenn du zufällig einen sprachpatch für pharaoh auf steam erstellst und man da testen kann, wäre ich auf jeden fall dabei. 🙂

Link zum Beitrag
Auf anderen Websites teilen

Der Bereich ist noch nicht für alle sichtbar, um auszuschließen, dass sich, falls sich aktuell in der frühen Testphase des neuen Installers wider Erwarten doch ein Fehler einschleicht, der Installer unkontrolliert verbreitet.

Ich werde aber in der kommenden Woche nach Einfügen der letzten Anpassungen zwei Test-GLPs für alle veröffentlichen (und hoffe dann natürlich auf ehrliches Feedback von möglichst vielen Usern, ob sich die GLPs problemlos installieren ließen, ob das Durchführen durch den Installationsvorgang verständlich und komfortabel ist und so weiter). Falls dann noch etwas auffällt, kann ich es recht schnell anpassen, bevor dann alle GLPs nur noch den neuen Installer bekommen.

Link zum Beitrag
Auf anderen Websites teilen

Nehmen Sie an der Diskussion teil

Sie können schon jetzt einen Beitrag verfassen, aber sich erst später registrieren. Wenn Sie bereits über ein Benutzerkonto verfügen, melden Sie sich an, um den Beitrag mit Ihrem Benutzerkonto zu verfassen.

Gast
Auf dieses Thema antworten...

×   Sie haben formatierten Inhalt eingefügt.   Formatierung wiederherstellen

  Es sind nur bis zu 75 Emoji erlaubt..

×   Ihr Link wurde automatisch eingebettet.   Stattdessen als Link anzeigen

×   Ihr vorheriger Inhalt wurde wiederhergestellt.   Editor leeren

×   Sie können Bilder nicht direkt einfügen. Laden Sie diese hoch oder fügen Sie Bilder über eine URL ein.

  • Aktive Benutzer   0 Mitglieder

    Zurzeit betrachten keine registrierten Benutzer diese Seite.

×
×
  • Erstellen...

Wichtige Informationen

Diese Website verwendet Cookies, um benutzerfreundlichere Funktionen und Dienste bereitstellen zu können. Sie können Ihre Cookie-Einstellungen anpassen. Durch die Nutzung unserer Website erklären Sie sich damit einverstanden, dass wir Cookies setzen.